<!-- ############# ACP LOG VIEW FORM ############# -->

  {if $display_statistic_image }
  <div class="xf_wait" align="center" style="height: 300px;">
  <object data="{insert name='xfi' class='link' action='acp_log' image='1' f='svg' f_zoom=$stat_zoom f_data=$stat_data f_month=$stat_month f_year=$stat_year}" type="image/svg+xml" width="900" height="300" title="SVG">
    <img src="{insert name='xfi' class='link' action='acp_log' image='1' f='png' f_zoom=$stat_zoom f_data=$stat_data f_month=$stat_month f_year=$stat_year}" width="900" height="300" alt="PNG" border="0" />
  </object>
  </div>
  <hr />
  {/if}

<fieldset id="xf__acp_log" class="xf_item"><legend>{insert name='xfi' class='i18n' var='log_view'}</legend>

  <!-- statistic image request form -->
  <div class="xf_right xf_half_width">
  <form id="xf__log_1" action="{$XF_FILE}" method="get">
  <input type="hidden" name="{$XF_ACTION}" value="acp_log" />
  <input type="hidden" name="statistic" value="1" />

  <strong>· {insert name='xfi' class='i18n' var='statistic'}</strong><br />

  <div class="xf_form_item"><strong>· {insert name='xfi' class='i18n' var='choose_zoom'}</strong><br />
  <label><input type="radio" class="xf_input_radio" name="f_zoom" value="m" {if $stat_zoom === 'm'}checked="checked"{/if} /> {insert name='xfi' class='i18n' var='monthly'}</label>
  <label><input type="radio" class="xf_input_radio" name="f_zoom" value="y" {if $stat_zoom === 'y'}checked="checked"{/if} /> {insert name='xfi' class='i18n' var='yearly'}</label>
  </div>

  <div class="xf_form_item"><strong>· {insert name='xfi' class='i18n' var='choose_time'}</strong><br />
  <select class="xf_input_select" name="f_month">
    {foreach from=$month_listing key=k item=v}
    <option value="{$k}" {if $k === $stat_month}selected="selected"{/if}>{$v|escape}</option>
    {/foreach}
  </select>
  <select class="xf_input_select" name="f_year">
    {foreach from=$year_listing item=v}
    <option value="{$v}" {if $v === $stat_year}selected="selected"{/if}>{$v|escape}</option>
    {/foreach}
  </select>
  </div>

  <div class="xf_form_item"><strong>· {insert name='xfi' class='i18n' var='choose_data'}</strong><br />
  <select class="xf_input_select" name="f_data">
    {foreach from=$statistic_data_listing key=k item=v}
    <option value="{$k}" {if $k === $stat_data}selected="selected"{/if}>{insert name='xfi' class='i18n' var=$v}</option>
    {/foreach}
  </select>
  </div>

  <button id="xf__sbtn" type="submit" class="xf_input_submit">{insert name='xfi' class='i18n' var='submit'}</button>
  </form>
  </div>

  <!-- log entries request form -->
  <form id="xf__log_2" action="{$XF_FILE}" method="post">
  <input type="hidden" name="{$XF_ACTION}" value="acp_log" />

  <div class="xf_form_item"><strong>· {insert name='xfi' class='i18n' var='choose_time'}</strong><br />
  <select class="xf_input_select" name="f_day">
    {foreach from=$day_listing item=v}
    <option value="{$v}" {if $v == $current_day}selected="selected"{/if}>{$v|escape}</option>
    {/foreach}
  </select>
  <select class="xf_input_select" name="f_month">
    {foreach from=$month_listing key=k item=v}
    <option value="{$k}" {if $k == $current_month}selected="selected"{/if}>{$v|escape}</option>
    {/foreach}
  </select>
  <select class="xf_input_select" name="f_year">
    {foreach from=$year_listing item=v}
    <option value="{$v}" {if $v == $current_year}selected="selected"{/if}>{$v|escape}</option>
    {/foreach}
  </select><br />
  <span class="xf_text_small">{insert name='xfi' class='i18n' var='explain_choose_time'}</span></div>

  <div class="xf_form_item"><strong>· {insert name='xfi' class='i18n' var='choose_level'}</strong><br />
  <label><input type="radio" class="xf_input_radio" name="f_level" value="-" checked="checked" /> {insert name='xfi' class='i18n' var='log_level_both'}</label>
  <label><input type="radio" class="xf_input_radio" name="f_level" value="i" /> {insert name='xfi' class='i18n' var='log_level_info'}</label>
  <label><input type="radio" class="xf_input_radio" name="f_level" value="e" /> {insert name='xfi' class='i18n' var='log_level_error'}</label><br />
  <span class="xf_text_small">{insert name='xfi' class='i18n' var='explain_choose_level'}</span></div>

  <div class="xf_form_item"><strong>· {insert name='xfi' class='i18n' var='username'}</strong><br />
  <input type="hidden" id="f_user" name="f_user" value="0" />
  <span id="f_log_user_name">&nbsp;</span>
  <a href="#" onclick="window.open('{insert name='xfi' class='link' action='help' segment='user_lv'}','xfus','width=400,height=300');">{insert name='xfi' class='i18n' var='select_user'}</a>
  <a href="#" onclick="document.getElementById('f_user').value=0;document.getElementById('f_log_user_name').innerHTML='&nbsp;';">{insert name='xfi' class='i18n' var='clear'}</a><br />
  <span class="xf_text_small">{insert name='xfi' class='i18n' var='explain_user'}</span></div>

  <div class="xf_form_item"><strong>· {insert name='xfi' class='i18n' var='choose_ip'}</strong><br />
  <input type="text" name="f_ip" class="xf_input_field" size="20" /><br />
  <span class="xf_text_small">{insert name='xfi' class='i18n' var='explain_choose_ip'}</span></div>

  <div class="xf_form_item"><strong>· {insert name='xfi' class='i18n' var='order_by'}</strong><br />
  <select class="xf_input_select" name="f_sort">
    {foreach from=$sort_listing key=k item=v}
    <option value="{$k}" {if $k == 'time'}selected="selected"{/if}>{$v|escape}</option>
    {/foreach}
  </select>
  <select class="xf_input_select" name="f_order">
    {foreach from=$order_listing key=k item=v}
    <option value="{$k}" {if $k == 'desc'}selected="selected"{/if}>{$v|escape}</option>
    {/foreach}
  </select><br />
  <span class="xf_text_small">{insert name='xfi' class='i18n' var='explain_order_by'}</span></div>

  <button id="xf__sbtn" type="submit" class="xf_input_submit">{insert name='xfi' class='i18n' var='submit'}</button>
  </form>

</fieldset>
<!-- ############# /ACP LOG VIEW FORM ############# -->