<form id="xf__form_member_list" action="{$XF_FILE}" method="get">
<input type="hidden" name="{$XF_ACTION}" value="member_list" />
<table class="xf_item">
  <tr>
    <td>{insert name='xfi' class='i18n' var='query_for'}: <input type="text" name="query" class="xf_input_field" size="30" value="{$input.query|escape}" /></td>
    <td>{insert name='xfi' class='i18n' var='sort_by'}:
    <select name="order" class="xf_input_select" size="1">
      {foreach from=$order_listing key=k item=v}
        {if $k === $input.order }
        <option value="{$k}" selected="selected">{insert name='xfi' class='i18n' var=$v}</option>
        {else}
        <option value="{$k}">{insert name='xfi' class='i18n' var=$v}</option>
        {/if}
      {/foreach}
    </select>
    <select name="sort" class="xf_input_select" size="1">
      {foreach from=$sort_listing key=k item=v}
        {if $k === $input.sort }
        <option value="{$k}" selected="selected">{insert name='xfi' class='i18n' var=$v}</option>
        {else}
        <option value="{$k}">{insert name='xfi' class='i18n' var=$v}</option>
        {/if}
      {/foreach}
    </select>
    </td>
    <td><button type="submit" class="xf_input_submit">{insert name='xfi' class='i18n' var='submit'}</button></td>
  </tr>
</table>
</form>
<hr />
<table id="xf__member_list" class="xf_item">
<thead><tr>
<th>{insert name='xfi' class='i18n' var='username'}</th>
<th>{insert name='xfi' class='i18n' var='group'}</th>
<th>{insert name='xfi' class='i18n' var='registration_date'}</th>
<th>{insert name='xfi' class='i18n' var='rating'}</th>
<th>{insert name='xfi' class='i18n' var='post_count'}</th>
</tr></thead>

  {if sizeof($member_listing) === 0 }
  <tr>
    <td colspan="4" class="xf_dark xf_text_big xf_text_center">{insert name='xfi' class='i18n' var='no_members_found'}</td>
  </tr>
  {/if}

  {foreach from=$member_listing item=v}
  <tr class="{cycle values='xf_bright,xf_dark'} xf_highlight">
    <td>
    <a href="{insert name='xfi' class='link' action='search' stage='by_user' id=$v.u_id}"><img src="{insert name='xfi' class='var' var='XF_URI_IMAGE'}/search.png" alt="search all postings of this user" border="0" /></a>&nbsp;
      {if $is_executive }
      <a href="{insert name='xfi' class='link' action='ucp_profile' user=$v.u_id}">{$v.u_name|escape}</a>
      {else}
      {$v.u_name|escape}
      {/if}
    </td>
    <td><span style="color: #{$v.g_color|escape};">{$v.g_name|escape}</span></td>
    <td>{insert name='xfi' class='date' ts=$v.u_time_registration format='d.m.Y'}</td>
    <td>
      {if $v.__rating !== '' }
      {$v.__rating}
      {/if}
    </td>
    <td>{$v.u_post_count}</td>
  </tr>
  {/foreach}

</table>