/* LARUS BOARD ========================================================
 * Encoded in UTF-8 (micro symbol: µ)
 * Copyright © 2008 by "The Larus Board Team"
 * This file is part of "Larus Board".
 *
 * "Larus Board" is free software: you can redistribute it and/or modify
 * it under the terms of the modified BSD license.
 *
 * "Larus Board" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * You should have received a copy of the modified BSD License
 * along with this package. If not, see
 * <http://download.savannah.gnu.org/releases/larusboard/COPYING.BSD>.
 */
/* <![CDATA[ */
var xf_temp_counter = 0;

function xf_var2arr(input){
o = new Array();
  for ( i = 0 ; i < input.length ; i++ ){
  mod = i/2;
  mod = mod.toString().indexOf('.');
    if ( mod == -1 )
    o[input[i]] = input[i+1];
  }
return o;
}

function xf_clock(){
v = new Date();
document.getElementById('xf__clock').innerHTML = v.toLocaleString();
window.setTimeout('xf_clock()',5000);
}

function xf_dosubmit(turn){
  if ( turn == 1 && !XFJSV_DEBUG ){
  document.getElementById('xf__sbtn').disabled = true;
  document.getElementById('xf__sbtn').style.opacity = '0.2';
  }
  else if ( turn == -1 && !XFJSV_DEBUG ){
  document.getElementById('xf__sbtn').disabled = false;
  document.getElementById('xf__sbtn').style.opacity = '1';
  }
}

function xf_hash_password(fname,doclear){
document.getElementById('f_pass_hash').value = hex_sha1(document.getElementById(fname).value);
  if ( doclear === 1 )
  document.getElementById(fname).value = '';
}

function xf_visibility(objname,useopt){
  if ( useopt == '' ){
  olds = document.getElementById(objname).style.display;
    if ( olds == 'block' )
    news = 'none';
    else if ( olds == 'none' )
    news = 'block';
  }
  else
  news = useopt;
document.getElementById(objname).style.display=news;
}

function xf_post_form_acl(acl){
  if ( acl == '' ){
  document.getElementById('f_acl').value = '';
  document.getElementById('f_acl').disabled = false;
  }
  else{
  document.getElementById('f_acl').value = acl;
  document.getElementById('f_acl').disabled = true;
  }
}

function xf_msghook(fname){
xf_msglength(fname);
}

function xf_msglength(fname){
xf_temp_counter++;
  if ( xf_temp_counter === Math.round(XFJSV_POST_MAXLEN/50) ){
  xf_temp_counter = 0;
  xf_msgthreshold(fname);
  }
}

function xf_msgthreshold(fname){
clen = document.getElementById(fname).value.length;
pct = Math.round((clen/XFJSV_POST_MAXLEN)*100);
  if ( pct > 100 )
  pct = 100;
  if ( pct === 100 )
  ibc = '#000';
  else if ( pct >= 80 )
  ibc = '#f00';
  else if ( pct >= 60 )
  ibc = '#f90';
  else if ( pct >= 40 )
  ibc = '#ff0';
  else if ( pct >= 20 )
  ibc = '#9f0';
  else
  ibc = '#0f0';
document.getElementById('xf__msgfill__'+fname).innerHTML = '('+pct+'%)';
document.getElementById('xf__msgfill__'+fname).style.backgroundColor = ibc;
}

/* ]]> */