<?php
/* LARUS BOARD ========================================================
 * Encoded in UTF-8 (micro symbol: µ)
 * Copyright © 2008 by "The Larus Board Team"
 * This file is part of "Larus Board" and is licensed under
 * Creative Commons Attribution-Share Alike 3.0
 *
 * You should have received a copy of the license
 * along with this package. If not, see
 * <http://download.savannah.gnu.org/releases/larusboard/COPYING.CC>.
 */
$lang = array(
'my_profile_settings'=>'My profile settings',
'general_data'=>'General Data',
'posting_count'=>'Postings Submitted',
'style'=>'Look and feel',
'timezone'=>'Timezone',
'time_format_24h'=>'Use 24-Hours format',
'change_password'=>'Change password',
'password_old'=>'Current password',
'password_new'=>'New password',
'password_again'=>'Please repeat',
'account_activated'=>'Account activated',
'comment'=>'User comment',
'posting_approvement'=>'Posting approvement',
'show_effective_permission'=>'Show effective permissions',
'warning_foreign_profile'=>'Please note you are editing a foreign profile!',
'explain_mail'=>'You should provide a valid e-mail address here, so we can inform you about any changes on our forum.
There will be low traffic and your address is kept private. If you do not want that, please keep this field blank. But
then you will not be able to use "Forgot Password" in the future.',
'explain_style'=>'You can set the look and feel of our forum here to any layout and language you would like to. Leave &quot;--&quot; for default.',
'explain_timezone'=>'If you want to make your time shown correctly, please provide your local timezone. Leave &quot;--&quot; for default.',
'explain_password'=>'Please use a password containing a variety of characters. Do not use words easy to guess (like your kid&acute;s
name or birth date) or from a dictionary, even no variations like adding a number or spell it backwards.
A good strategy is to use a sentence you remember well and take the first letter of any word. In example use "My Dad showed
me the 9 planets last night" and you password would be "MDsmt9pln" then. Finally the password must at least five characters
in length with a maximum of thirty-one (31).',
'explain_account_active'=>'If the account is disabled, the user cannot login. This can be used
to enforce a ban from the forum due to service abusing/rule violations.',
'explain_warning'=>'If this user violates the terms of use or is otherwise attracting interest by misbehaviour, you can raise
his warning level here. When reaching higher levels this fact will be shown in public on his profile beside all of his postings.
Additionally, on the highest level this user is informed after login until the level is reduced.',
'explain_comment'=>'Any comment you set here, will shown to him on next login and removed after his logout.',
'explain_approvement'=>'Should new postings immediately be approved? Use &quot;default&quot; to keep the setting
inherited by user group.',
'explain_group'=>'Select the user group this user belongs to.',
'old_password_not_correct'=>'Your current password is not correct!',
'new_passwords_not_equal'=>'Your new passwords are not equal!',
'new_password_too_short'=>'Your new password does not match length restrictions!',
'mail_not_valid'=>'Your e-mail address is not valid!',
'must_not_edit_foreign_profile'=>'You must not edit a foreign profile due to lacking executive permission!',
'profile_successfully_saved'=>'This profile has been saved.',
'posting_already_reported'=>'This posting has already been reported by an user!',
'posting_report_success'=>'Thank you for reporting this posting to us. We will investigate it.',
'my_bookmarks'=>'My Bookmarks',
'currently_no_bookmarks'=>'You have no bookmarks stored at the moment...',
'add_bookmark'=>'Add a bookmark',
'remove_bookmark'=>'Remove this bookmark',
'bookmark_has_been_added'=>'A bookmark to this posting has been added.',
'bookmark_has_been_removed'=>'A bookmark has been removed from this posting.',
'blacklist_has_been_added'=>'You have blacklisted this user and ignore all his postings.',
'blacklist_has_been_removed'=>'You removed this user from blacklisting and all his postings will be visible again.'
);
?>