<?php
/* LARUS BOARD ========================================================
 * Encoded in UTF-8 (micro symbol: µ)
 * Copyright © 2008 by "The Larus Board Team"
 * This file is part of "Larus Board".
 *
 * "Larus Board" is free software: you can redistribute it and/or modify
 * it under the terms of the modified BSD license.
 *
 * "Larus Board" is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * You should have received a copy of the modified BSD License
 * along with this package. If not, see
 * <http://download.savannah.gnu.org/releases/larusboard/COPYING.BSD>.
 */
  if ( !defined('__XF_INCLUDE') )
  die('File "'.basename(__FILE__).'" cannot be executed directly!');
  if ( !defined('__XF_ALLOW_TASK') )
  die('Running tasks has not been allowed by XF-Core!');

/**
* @package lbbackend
*/
class XFTask_prune_search extends XFTask {
public $version = 0x01;
protected $trace = array();

  public function setup(){
  return array(
  'default_interval'=>1800,
  'default_active'=>true
  );
  }

  public function execute(){
  $a = XF::sql_query("DELETE FROM ".XF::tbl('search_result')." WHERE sr_time < '".intval(XF::vault_query('uts')-86400)."'",'',__METHOD__,__LINE__);
  $this->trace[] = 'removed '.$a.' entries from search results cache';
  return true;
  }

}
$_t = new XFTask_prune_search();
?>